Package be.fgov.ehealth.addressbook.protocol.v1

# Class SearchProfessionalsRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
be.fgov.ehealth.addressbook.protocol.v1.SearchProfessionalsRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class SearchProfessionalsRequest extends PaginationRequestType implements Serializable
Search healthcare professionals based on one or more search criteria

Java class for SearchProfessionalsRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchProfessionalsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
           <sequence>
             <choice minOccurs="0">
               <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
               <element name="SSIN" type="{urn:be:fgov:ehealth:addressbook:core:v1}SSINType"/>
             </choice>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Profession" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="City" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="EMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchProfessionalsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCity()`
  City or Village of contact address
  `String`
  `getEMail()`
  Gets the value of the eMail property.
  `String`
  `getFirstName()`
  Firstname of the contact person
  `String`
  `getLastName()`
  Family name of the contact person
  `String`
  `getNIHII()`
  INAMI/RIZIV of the contact person
  `String`
  `getProfession()`
  Profession / Quality of the contact person
  `String`
  `getSSIN()`
  NISS / INSZ of the contact person
  `String`
  `getZipCode()`
  Zipcode of contact address
  `void`
  `setCity(String value)`
  Sets the value of the city property.
  `void`
  `setEMail(String value)`
  Sets the value of the eMail property.
  `void`
  `setFirstName(String value)`
  Sets the value of the firstName property.
  `void`
  `setLastName(String value)`
  Sets the value of the lastName property.
  `void`
  `setNIHII(String value)`
  Sets the value of the nihii property.
  `void`
  `setProfession(String value)`
  Sets the value of the profession property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.
  `void`
  `setZipCode(String value)`
  Sets the value of the zipCode property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType

  `getMaxElements, getOffset, setMaxElements, setOffset`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchProfessionalsRequest

    public SearchProfessionalsRequest()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    NISS / INSZ of the contact person
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`

  - ### getNIHII

    public String getNIHII()
    INAMI/RIZIV of the contact person
    Returns:
      possible object is `String`

  - ### setNIHII

    public void setNIHII(String value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNIHII()`

  - ### getFirstName

    public String getFirstName()
    Firstname of the contact person
    Returns:
      possible object is `String`

  - ### setFirstName

    public void setFirstName(String value)
    Sets the value of the firstName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstName()`

  - ### getLastName

    public String getLastName()
    Family name of the contact person
    Returns:
      possible object is `String`

  - ### setLastName

    public void setLastName(String value)
    Sets the value of the lastName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLastName()`

  - ### getProfession

    public String getProfession()
    Profession / Quality of the contact person
    Returns:
      possible object is `String`

  - ### setProfession

    public void setProfession(String value)
    Sets the value of the profession property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProfession()`

  - ### getZipCode

    public String getZipCode()
    Zipcode of contact address
    Returns:
      possible object is `String`

  - ### setZipCode

    public void setZipCode(String value)
    Sets the value of the zipCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getZipCode()`

  - ### getCity

    public String getCity()
    City or Village of contact address
    Returns:
      possible object is `String`

  - ### setCity

    public void setCity(String value)
    Sets the value of the city property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCity()`

  - ### getEMail

    public String getEMail()
    Gets the value of the eMail property.
    Returns:
      possible object is `String`

  - ### setEMail

    public void setEMail(String value)
    Sets the value of the eMail property.
    Parameters:
      `value` - allowed object is `String`